//
//  ViewController.swift
//  OSAKitTest
//
//  Created by Mark Alldritt on 2016-10-26.
//  Copyright © 2016 Late Night Software Ltd. All rights reserved.
//

import Cocoa
import OSAKit


class ViewController: NSViewController {

    override func viewDidLoad() {
        super.viewDidLoad()

        let scriptURL = Bundle.main.url(forResource: "Sample", withExtension: "scpt")
        let error : AutoreleasingUnsafeMutablePointer<NSDictionary?>? = nil
        let script = OSAScript(contentsOf: scriptURL!, error: error)
        let resuleDescriptor = script?.executeAndReturnError(error)
        
        print("resuleDescriptor: ", resuleDescriptor)
    }

}

